/**
 * 
 */
package net.bigeon.gclc.process.mocks;

import net.bigeon.gclc.exception.CommandRunException;
import net.bigeon.gclc.process.ForkTask;
import net.bigeon.gclc.process.Task;

/**
 * @author Emmanuel Bigeon
 *
 */
public class ForkTaskMock extends ForkTask implements Task {

    private int runCall = 0;

    /** Default constructor. */
    public ForkTaskMock() {
        super(10);
    }

    /* (non-Javadoc)
     * @see net.bigeon.gclc.process.Task#getName()
     */
    @Override
    public String getName() {
        return "name";
    }

    /* (non-Javadoc)
     * @see net.bigeon.gclc.process.ForkTask#doRun()
     */
    @Override
    protected void doRun() throws CommandRunException {
        runCall++;
    }

    /** @return the runCall */
    public int getRunCall() {
        return runCall;
    }
}
